package com.sunxung.factoring.service.financing.contract;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.financing.contract.SysCustomer;

/**
 * <p>
 * 企业信息管理表 服务类
 * </p>
 *
 * @author liutao
 * @since 2022-06-20
 */
public interface ISysCustomerService extends IService<SysCustomer> {

    /**
     * 根据名称查询企业电子签信息
     * @param companyName
     * @return
     */
    SysCustomer getByName(String companyName);

    /**
     * 增加记录 (企业信息管理模块)
     * @param sysCustomer
     */
    SysCustomer add(SysCustomer sysCustomer);

    /**
     * 根据企业名称获取customerId
     * @param socialCreditCode
     * @return
     */
    SysCustomer getCustomerIdBySocialCreditCode(String socialCreditCode);

    /**
     * 根据个人身份证号获取customer
     * @param socialCreditCode
     * @return
     */
    SysCustomer getCustomerPersonBySocialCreditCode(String socialCreditCode);

    void urlJob();

}
